Mac installers now available

New releases, projects, multiplayer games, etc.
User avatar
Dino the Dinosore
Posts: 31
Joined: Sun Dec 31, 2017 3:41 am

Mac installers now available

Postby Dino the Dinosore » Fri Mar 02, 2018 2:07 am

Installers for Mac users are now available, on http://freeciv.wikia.com/wiki/Install-MacOSX
If you have access to a Mac, please try it out, and report any problems to this thread.

User avatar
dunnoob
Elite
Posts: 326
Joined: Mon Dec 23, 2013 3:13 am
Location: Hamburg
Contact:

Re: Mac installers now available

Postby dunnoob » Sat Mar 03, 2018 11:14 am

Dino the Dinosore wrote:Installers for Mac users are now available
Great, hopefully the stuff available on dropbox ends up on freeciv.org later.

peb
Posts: 3
Joined: Thu Mar 22, 2018 9:17 pm

Re: Mac installers now available

Postby peb » Fri Mar 23, 2018 8:04 pm

Hello,
I have download the Mac installer 2.6, but it doesn't work on my Mac (10.12.2)
I get the following message:

Dyld Error Message:
Library not loaded: /usr/local/Cellar/libvorbis/1.3.5_1/lib/libvorbis.0.dylib
Referenced from: /usr/local/opt/libvorbis/lib/libvorbisfile.3.dylib
Reason: image not found


Could you tell me if there is something missing on my Mac that I need to setup up beforehand (X11?), or is the issue coming from the Installer?

Thank you for your work and your help!

PE

User avatar
Dino the Dinosore
Posts: 31
Joined: Sun Dec 31, 2017 3:41 am

Re: Mac installers now available

Postby Dino the Dinosore » Wed Mar 28, 2018 2:36 am

I have found the problem, and there are now fixed versions of the installers. You need to delete the folder
/usr/local/opt/libvorbis from your Mac, and re-run the new installer. You will need to use the Mac's Terminal app to delete that folder, and you may need to mess with permissions. If you don't know Unix and need more detailed help then send me a message.

User avatar
Dino the Dinosore
Posts: 31
Joined: Sun Dec 31, 2017 3:41 am

Re: Mac installers now available

Postby Dino the Dinosore » Thu Apr 05, 2018 4:45 am

Arg - another fix was required, there are now new versions of the installers. You need to delete the folder
/usr/local/opt/ and re-run the new installer.

User avatar
Dino the Dinosore
Posts: 31
Joined: Sun Dec 31, 2017 3:41 am

Re: Mac installers now available

Postby Dino the Dinosore » Thu May 31, 2018 2:15 am

I have now confirmed that the installer over-writes things when installing over a previous installation, as I hoped it would. So if you're re-installing, disregard my previous comments about deleting things.
Newest version of the 2.6.0b2 install now also includes a bonus option of a new ruleset I've been playing with.

panych
Posts: 3
Joined: Wed Jul 04, 2018 5:35 pm

Re: Mac installers now available

Postby panych » Wed Jul 04, 2018 5:47 pm

Hello.

I've installed freeciv 2.6.0b2 and tried to launch it, but had an error: freeciv cannot be opened because of a problem. OSX version is 10.13.5.

Detailed bug report as gist: https://gist.github.com/panych/4dbdee04d5f5fcadda931281fb710ff2

Appreciate any help, thanks.

panych
Posts: 3
Joined: Wed Jul 04, 2018 5:35 pm

Re: Mac installers now available

Postby panych » Wed Jul 04, 2018 6:20 pm

I've tried to reinstall game couple times but with no result. Then I've tried to upgrade libvorbis library from Homebrew. Result:

Code: Select all

 /usr/local/Cellar/libvorbis/1.3.5_1: 159 files, 2.3MB

Bug with libvorbis deps gone.

But game still doesn't run.

New error: freeciv quit unexpectedly.
Details: https://gist.github.com/panych/2b8c5b47c12b0e8c2f2150e171736d8e

kpearce
Posts: 2
Joined: Fri Jul 06, 2018 1:16 am

Re: Mac installers now available

Postby kpearce » Fri Jul 06, 2018 4:11 am

I got the same error with the 2.5.11 installer on MacOS 10.13.5. It appears to me that the problem is that it's looking for libvorbis 1.3.5_1, but the installed version is 1.3.6. (At least, I have a directory at /usr/local/Cellar/libvorbis/1.3.6, but not 1.3.5_1.)

kpearce
Posts: 2
Joined: Fri Jul 06, 2018 1:16 am

Re: Mac installers now available

Postby kpearce » Fri Jul 06, 2018 4:16 am

I found a workaround. In terminal:

Code: Select all

cd /usr/local/Cellar/libvorbis
sudo ln -s 1.3.6 1.3.5_1

It works now.